Bug 510642 - jBrout Python process always uses 100% CPU time
jBrout Python process always uses 100% CPU time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jbrout (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 21:31 EDT by Rand All
Modified: 2009-08-04 20:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.174-3.0.20090714svn223.1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rand All 2009-07-09 21:31:34 EDT
Description of problem:
I just installed jBrout.  Never used it before.  When I launch it, my CPU graph immediately jumps to 100% utilized.  The 'top' util says it's actually the python process that's using all that time, but other Python apps (eg. pyRenamer) behave correctly.

Version-Release number of selected component (if applicable):
$ yum list jbrout python
Installed Packages
jbrout.noarch                      0.3.174-1.fc11                      @fedora  
python.x86_64                      2.6-9.fc11                          installed

All packages are up to date as of this posting.


Additional info:
Here's the stdout when launching from the command line:

$ jbrout 
/usr/share/jbrout/plugins/multiexport/libs/flickr.py:14: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import urllib, urllib2, md5, mimetools, mimetypes, os.path
/usr/share/jbrout/jbrout.py:1167: GtkWarning: gtk_range_set_range: assertion `min < max' failed
  self.hs_from.set_range(0,t)
/usr/share/jbrout/jbrout.py:1168: GtkWarning: gtk_range_set_range: assertion `min < max' failed
  self.hs_to.set_range(0,t)
Comment 1 Matěj Cepl 2009-07-13 15:24:05 EDT
Surprisingly, I can reproduce it as well. Will ask upstream about it.
Comment 2 Fedora Update System 2009-07-14 17:58:28 EDT
jbrout-0.3.174-3.0.20090714svn223.1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jbrout-0.3.174-3.0.20090714svn223.1.fc11
Comment 3 Fedora Update System 2009-07-19 06:34:26 EDT
jbrout-0.3.174-3.0.20090714svn223.1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jbrout'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7786
Comment 4 Fedora Update System 2009-08-04 20:33:21 EDT
jbrout-0.3.174-3.0.20090714svn223.1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.